.TH PYRO5-HTTPGATEWAY "1" "May 2024" "PYRO5-HTTPGATEWAY 5.15" "Pyro http gateway command line launcher."
.SH NAME
\fBpyro5-httpgateway \fP- Pyro http gateway command line launcher.
\fB
.SH SYNOPSIS
.nf
.fam C
 \fBpyro5-httpgateway\fP [\fB-h\fP] [\fB-H\fP \fIHOST\fP] [\fB-c\fP \fICORS\fP] [\fB-p\fP \fIPORT\fP] [\fB-e\fP \fIEXPOSE\fP] [\fB-g\fP \fIGATEWAYKEY\fP] [\fB-t\fP \fITIMEOUT\fP]

.fam T
.fi
.fam T
.fi
.SH DESCRIPTION
This is a simple command line to easily get a http gateway server running.
.SH OPTIONS
.TP
.B
\fB-h\fP, \fB--help\fP
show this help message and exit
.TP
.B
\fB-H\fP \fIHOST\fP, \fB--host\fP \fIHOST\fP
hostname to bind server on (default=localhost)
.TP
.B
\fB-c\fP \fICORS\fP, \fB--cors\fP \fICORS\fP
Allow cross origin domain/url
.TP
.B
\fB-p\fP \fIPORT\fP, \fB--port\fP \fIPORT\fP
port to bind server on (default=8080)
\fB-e\fP \fIEXPOSE\fP, \fB--expose\fP \fIEXPOSE\fP
a regex of object names to expose (default=http\.)
\fB-g\fP \fIGATEWAYKEY\fP, \fB--gatewaykey\fP \fIGATEWAYKEY\fP
the api key to use to connect to the gateway itself
\fB-t\fP \fITIMEOUT\fP, \fB--timeout\fP \fITIMEOUT\fP
Pyro timeout value to use (COMMTIMEOUT setting,
default=0.000000)
.SH AUTHORS
Written by Irmen de Jong <irmen@razorvine.net>
.PP
This manual page was written by Bo YU <tsu.yubo@gmail.com>
